
#ifndef MYTIM2_H_
#define MYTIM2_H_

#include "stm32f10x_conf.h"

#ifdef __cplusplus
 extern "C" {
#endif

 extern volatile uint16_t isrCount;

void tim2enableInterrupt(void);
void tim2initNORMAL(uint16_t prs, uint16_t autoreload);
uint8_t tim2askTimeout(void);
uint32_t tim2stoppuhr(uint8_t enable);
void tim2handleAll();
uint8_t tim2setTimeout_us(uint32_t t_us);

void tim2Interrupthandler(void);
uint16_t millis(void);

//debug
uint16_t getCNT(void);  //CountRegister
uint16_t getPSC(void);	//Prescaler
uint16_t getRCR(void);	//???
uint16_t getARR(void); 	//autoreload
uint16_t getTimFlags(void);
uint16_t getTCountdown(void);
uint16_t getTimeout(void);
uint16_t getTStoppuhr(void);

void delay(uint16_t t_ms);


#ifdef __cplusplus
}
#endif

#endif /* MYTIM2_H_ */
