#include "debug.h"

volatile uint32_t debug32[20] = {
		0,0,0,0,0,
		0,0,0,0,0,
		0,0,0,0,0,
		0,0,0,0,0
};




//Led auf dem Board
void ledInit(void){
	GPIO_InitTypeDef GPIO_InitStructure2;

	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOC , ENABLE);
	GPIO_InitStructure2.GPIO_Pin = GPIO_Pin_13;
		GPIO_InitStructure2.GPIO_Mode = GPIO_Mode_Out_PP;
		GPIO_InitStructure2.GPIO_Speed = GPIO_Speed_50MHz;
		GPIO_Init(GPIOC, &GPIO_InitStructure2);
	ledAus();
}


void ledAn(void){
	GPIO_WriteBit(GPIOC, GPIO_Pin_13, Bit_RESET);
}
void ledAus(void){
	GPIO_WriteBit(GPIOC, GPIO_Pin_13, Bit_SET);
}
void ledToggle(void){
	if(GPIO_ReadOutputDataBit(GPIOC, GPIO_Pin_13)){
	    GPIO_WriteBit(GPIOC, GPIO_Pin_13, Bit_RESET);
	  }else{
	    GPIO_WriteBit(GPIOC, GPIO_Pin_13, Bit_SET);
	  }
}


void softdelay(uint32_t _d){
	for(uint32_t a= 0; a < _d;a++){

	}
}
//I2C1
void saveI2C1regTo_debug32(void){
	debug32[0] = I2C1->CR1;
	debug32[1] = I2C1->CR2;
	debug32[2] = I2C1->OAR1;
	debug32[3] = I2C1->OAR2;
	debug32[4] = I2C1->DR;
	debug32[5] = I2C1->SR1;
	debug32[6] = I2C1->SR2;
	debug32[7] = I2C1->CCR;
	debug32[8] = I2C1->TRISE;
}
